main.floors.MT10=
{
    "floorId": "MT10",
    "title": "主塔 10 层",
    "name": "10",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 2,
    "defaultGround": "ground",
    "bgm": "022.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "10,0": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "data": [
                {
                    "type": "choices",
                    "text": "\t[老人,man]20金币加一次点",
                    "choices": [
                        {
                            "text": "2攻击",
                            "action": [
                                {
                                    "type": "if",
                                    "condition": "status:money>=20",
                                    "true": [
                                        {
                                            "type": "setValue",
                                            "name": "status:atk",
                                            "operator": "+=",
                                            "value": "2"
                                        },
                                        {
                                            "type": "setValue",
                                            "name": "status:money",
                                            "operator": "-=",
                                            "value": "20"
                                        }
                                    ],
                                    "false": [
                                        "\t[老人,man]你的钱不够"
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        },
        "9,12": [
            {
                "type": "if",
                "condition": "(item:shield0==1)",
                "true": [
                    {
                        "type": "if",
                        "condition": "(item:sword0==1)",
                        "true": [
                            {
                                "type": "setCurtain",
                                "color": [
                                    0,
                                    0,
                                    0,
                                    1
                                ],
                                "time": 1000,
                                "keep": true
                            },
                            "本区域计分方式：(生命数+10000*生命魔杖数)*(0.01*黄钥匙数+0.02*蓝钥匙数+0.05*红钥匙数+0.002*金币数)",
                            {
                                "type": "setValue",
                                "name": "flag:score2",
                                "operator": "+=",
                                "value": "status:hp"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:score2",
                                "operator": "+=",
                                "value": "item:lifeWand*10000"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:score2",
                                "operator": "+=",
                                "value": "flag:score2*0.01*item:yellowKey"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:score2",
                                "operator": "+=",
                                "value": "flag:score2*0.02*item:blueKey"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:score2",
                                "operator": "+=",
                                "value": "flag:score2*0.05*item:redKey"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:score2",
                                "operator": "+=",
                                "value": "flag:score2*0.002*status:money"
                            },
                            "恭喜，Stage 2通关！\n本区域您的分数为：${flag:score2}",
                            {
                                "type": "setValue",
                                "name": "status:hp",
                                "value": "1000"
                            },
                            {
                                "type": "setValue",
                                "name": "item:yellowKey",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "item:blueKey",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "item:redKey",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "item:sword0",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "item:shield0",
                                "value": "0"
                            },
                            {
                                "type": "setGlobalFlag",
                                "name": "s:enableMoney",
                                "value": false
                            },
                            {
                                "type": "setGlobalFlag",
                                "name": "s:enableExp",
                                "value": false
                            },
                            {
                                "type": "setGlobalFlag",
                                "name": "s:enableLevelUp",
                                "value": false
                            },
                            {
                                "type": "setGlobalFlag",
                                "name": "s:levelUpLeftMode",
                                "value": false
                            },
                            {
                                "type": "setValue",
                                "name": "status:money",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "status:exp",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "item:pickaxe",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "item:centerFly",
                                "value": "0"
                            },
                            {
                                "type": "setValue",
                                "name": "item:lifeWand",
                                "value": "0"
                            },
                            {
                                "type": "setGlobalFlag",
                                "name": "s:enablePZF",
                                "value": true
                            },
                            {
                                "type": "changeFloor",
                                "floorId": "S3",
                                "loc": [
                                    0,
                                    12
                                ]
                            },
                            {
                                "type": "setCurtain",
                                "color": [
                                    0,
                                    0,
                                    0,
                                    0
                                ],
                                "time": 0,
                                "keep": true
                            }
                        ],
                        "false": [
                            "请先保证您的身上没有装备任何剑盾，\n如已装备请卸下，\n如未装备请先获得"
                        ]
                    }
                ],
                "false": [
                    "请先保证您的身上没有装备任何剑盾，\n如已装备请卸下，\n如未装备请先获得"
                ]
            }
        ]
    },
    "changeFloor": {
        "12,0": {
            "floorId": ":before",
            "stair": "upFloor"
        }
    },
    "afterBattle": {
        "4,6": [
            {
                "type": "setValue",
                "name": "flag:4",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "if",
                "condition": "(flag:4==2)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            7
                        ]
                    }
                ],
                "false": []
            }
        ],
        "3,6": [
            {
                "type": "setValue",
                "name": "flag:4",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "if",
                "condition": "(flag:4==2)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            7
                        ]
                    }
                ],
                "false": []
            }
        ],
        "6,9": [
            {
                "type": "openDoor",
                "loc": [
                    5,
                    9
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    7,
                    9
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    8,
                    12
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "map": [
    [  0, 71,  0,  1, 21,  1, 33,  1, 34,  1,121,  0, 88],
    [222,  0,222,  1, 21,  1, 27,  1, 34,  1,  0, 29,  0],
    [  1,  0,  1,  1, 82,  1,213,  1, 81,  1,  1,  1,206],
    [ 28,  0, 33,324,  0, 27, 27,  0,324,  0, 21,  0, 33],
    [  1,222,  1,  1,206,  1,213,  1,  1,325,  1,325,  1],
    [ 28,  0, 81,  0,  0,  1, 27,  1,  0, 29,  1, 29,  0],
    [  0, 28,  1,325,325,  1, 27,  1, 32,  0, 81,  0, 32],
    [221,  4,  4,  4,  4,  4, 85,  4,  4,  4,  4,206,  1],
    [  0, 35,  4, 21,  0,  4, 33,  4,  0, 31,  4,  0, 27],
    [ 84,  4,  4,  0, 21, 85,226, 85, 22,  0,  4, 28,  0],
    [ 33, 30,  4, 21,  0,  4,  0,  4,  0, 31,  4,  1,206],
    [ 33, 50,  4,  4,  4,  4,  0,  4,  4,  4,  4, 27,  0],
    [ 33, 30,  4, 23, 82, 81, 81, 81, 85, 89,  4,  0, 28]
],
    "bgmap": [

],
    "fgmap": [

],
    "weather": [
        "fog",
        5
    ]
}