var data_a1e2fb4a_e986_4524_b0da_9b7ba7c0874d = 
{
	"main": {
		"floorIds": [
			"MT0",
			"MT1",
			"MT2",
			"MT3",
			"MT4",
			"MT5",
			"S2",
			"MT6",
			"MT7",
			"MT8",
			"MT9",
			"MT10",
			"S3",
			"MT11",
			"MT12",
			"MT13",
			"MT14",
			"MT15",
			"MT16",
			"MT17",
			"MT18",
			"MT19",
			"MT20"
		],
		"floorPartitions": [],
		"images": [
			"bg.jpg",
			"hero.png",
			"winskin.png",
			"hero2.png"
		],
		"tilesets": [
			"magictower.png"
		],
		"animates": [
			"hand",
			"sword",
			"zone"
		],
		"bgms": [
			"019.ogg",
			"022.mp3",
			"023.ogg",
			"024.mp3",
			"Silent.ogg",
			"bgm.mp3"
		],
		"sounds": [
			"floor.mp3",
			"attack.mp3",
			"door.mp3",
			"item.mp3",
			"equip.mp3",
			"zone.mp3",
			"jump.mp3",
			"pickaxe.mp3",
			"bomb.mp3",
			"centerFly.mp3",
			"094-Attack06.ogg"
		],
		"fonts": [],
		"nameMap": {
			"背景图.jpg": "bg.jpg",
			"背景音乐.mp3": "bgm.mp3"
		},
		"levelChoose": [],
		"equipName": [
			"武器",
			"盾牌"
		],
		"startBgm": "Silent.ogg",
		"styles": {
			"startBackground": "project/images/bg.jpg",
			"startVerticalBackground": "project/images/bg.jpg",
			"startLogoStyle": "color: white",
			"startButtonsStyle": "background-color: #32369F; opacity: 0.85; color: #FFFFFF; border: #FFFFFF 2px solid; caret-color: #FFD700;",
			"statusLeftBackground": "url(project/materials/ground.png) repeat",
			"statusTopBackground": "url(project/materials/ground.png) repeat",
			"toolsBackground": "url(project/materials/ground.png) repeat",
			"borderColor": [
				204,
				204,
				204,
				1
			],
			"statusBarColor": [
				255,
				255,
				255,
				1
			],
			"selectColor": [
				255,
				215,
				0,
				1
			],
			"floorChangingStyle": "background-color: black; color: white",
			"font": "Verdana"
		}
	},
	"firstData": {
		"title": "3 Little Towers",
		"name": "3ltower",
		"version": "Ver 2.7.3",
		"floorId": "MT0",
		"hero": {
			"image": "hero.png",
			"animate": false,
			"name": "阳光",
			"lv": 1,
			"hpmax": 9999,
			"hp": 1000,
			"manamax": -1,
			"mana": 0,
			"atk": 0,
			"def": 0,
			"mdef": 0,
			"money": 0,
			"exp": 0,
			"equipment": [],
			"items": {
				"constants": {},
				"tools": {},
				"equips": {}
			},
			"loc": {
				"direction": "up",
				"x": 0,
				"y": 12
			},
			"flags": {},
			"followers": [],
			"steps": 0
		},
		"startCanvas": [
			{
				"type": "comment",
				"text": "在这里可以用事件来自定义绘制标题界面的背景图等"
			},
			{
				"type": "comment",
				"text": "也可以直接切换到其他楼层（比如某个开始剧情楼层）进行操作。"
			},
			{
				"type": "showImage",
				"code": 1,
				"image": "bg.jpg",
				"loc": [
					0,
					0
				],
				"opacity": 1,
				"time": 0
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "comment",
						"text": "给用户提供选择项，这里简单的使用了choices事件"
					},
					{
						"type": "comment",
						"text": "也可以贴按钮图然后使用等待操作来完成"
					},
					{
						"type": "choices",
						"choices": [
							{
								"text": "开始游戏",
								"action": [
									{
										"type": "comment",
										"text": "检查bgm状态，下同"
									},
									{
										"type": "function",
										"function": "function(){\ncore.control.checkBgm()\n}"
									},
									{
										"type": "if",
										"condition": "main.levelChoose.length == 0",
										"true": [
											{
												"type": "comment",
												"text": "直接开始游戏"
											}
										],
										"false": [
											{
												"type": "comment",
												"text": "动态生成难度选择项"
											},
											{
												"type": "function",
												"function": "function(){\nvar choices = [];\nmain.levelChoose.forEach(function (one) {\n\tchoices.push({\n\t\t\"text\": one.title || '',\n\t\t\"action\": [\n\t\t\t{ \"type\": \"function\", \"function\": \"function() { core.status.hard = '\" + (one.name || '') + \"'; }\" }\n\t\t]\n\t});\n})\ncore.insertAction({ \"type\": \"choices\", \"choices\": choices });\n}"
											}
										]
									},
									{
										"type": "hideImage",
										"code": 1,
										"time": 0
									},
									{
										"type": "comment",
										"text": "成功选择难度"
									},
									{
										"type": "break"
									}
								]
							},
							{
								"text": "读取存档",
								"action": [
									{
										"type": "function",
										"function": "function(){\ncore.control.checkBgm()\n}"
									},
									{
										"type": "comment",
										"text": "简单的使用“呼出读档界面”来处理"
									},
									{
										"type": "callLoad"
									}
								]
							},
							{
								"text": "回放录像",
								"action": [
									{
										"type": "function",
										"function": "function(){\ncore.control.checkBgm()\n}"
									},
									{
										"type": "comment",
										"text": "这段代码会弹框选择录像文件"
									},
									{
										"type": "if",
										"condition": "(!core.isReplaying())",
										"true": [
											{
												"type": "function",
												"function": "function(){\ncore.chooseReplayFile()\n}"
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "comment",
				"text": "接下来会执行startText中的事件"
			}
		],
		"startText": [],
		"shops": [
			{
				"id": "shop1",
				"text": "\t[商人,blueTrader]勇敢的武士啊, 给我${5+1*flag:shop1}金币就可以：",
				"textInList": "1F金币商店",
				"mustEnable": false,
				"disablePreview": false,
				"choices": [
					{
						"text": "生命+150",
						"need": "status:money>=5+1*flag:shop1",
						"action": [
							{
								"type": "comment",
								"text": "新版商店中需要手动扣减金币和增加访问次数"
							},
							{
								"type": "setValue",
								"name": "status:money",
								"operator": "-=",
								"value": "5+1*flag:shop1"
							},
							{
								"type": "setValue",
								"name": "flag:shop1",
								"operator": "+=",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "150"
							}
						]
					},
					{
						"text": "攻击+1",
						"need": "status:money>=5+1*flag:shop1",
						"action": [
							{
								"type": "comment",
								"text": "新版商店中需要手动扣减金币和增加访问次数"
							},
							{
								"type": "setValue",
								"name": "status:money",
								"operator": "-=",
								"value": "5+1*flag:shop1"
							},
							{
								"type": "setValue",
								"name": "flag:shop1",
								"operator": "+=",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1"
							}
						]
					},
					{
						"text": "防御+1",
						"need": "status:money>=5+1*flag:shop1",
						"action": [
							{
								"type": "comment",
								"text": "新版商店中需要手动扣减金币和增加访问次数"
							},
							{
								"type": "setValue",
								"name": "status:money",
								"operator": "-=",
								"value": "5+1*flag:shop1"
							},
							{
								"type": "setValue",
								"name": "flag:shop1",
								"operator": "+=",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "1"
							}
						]
					},
					{
						"text": "魔防+10",
						"need": "status:money>=5+1*flag:shop1",
						"action": [
							{
								"type": "comment",
								"text": "新版商店中需要手动扣减金币和增加访问次数"
							},
							{
								"type": "setValue",
								"name": "status:money",
								"operator": "-=",
								"value": "5+1*flag:shop1"
							},
							{
								"type": "setValue",
								"name": "flag:shop1",
								"operator": "+=",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "status:mdef",
								"operator": "+=",
								"value": "10"
							}
						]
					}
				]
			}
		],
		"levelUp": [
			{
				"need": "0",
				"title": "初心一段",
				"action": [
					{
						"type": "comment",
						"text": "此处是初始等级，只需填写称号"
					}
				]
			},
			{
				"need": "10",
				"title": "初心二段",
				"action": [
					"升级到初心二段，攻击加1",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "1"
					}
				]
			},
			{
				"need": "20",
				"title": "初心三段",
				"action": [
					"升级到初心三段，防御加2",
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "2"
					}
				]
			},
			{
				"need": "30",
				"title": "初心四段",
				"action": [
					"升级到初心四段，攻防加1",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "1"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "1"
					}
				]
			},
			{
				"need": "50",
				"title": "初心五段",
				"action": [
					"升级到初心五段，攻防加2",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "2"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "2"
					}
				]
			},
			{
				"need": "80",
				"title": "初心六段",
				"action": [
					"升级到初心六段，攻防加3",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "3"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "3"
					}
				]
			},
			{
				"need": "120",
				"title": "初心七段",
				"action": [
					"升级到初心七段，攻防加4",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "4"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "4"
					}
				]
			},
			{
				"need": "200",
				"title": "初心八段",
				"clear": true,
				"action": [
					"升级到初心八段，攻防加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "5"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "200",
				"title": "初心九段",
				"clear": true,
				"action": [
					"升级到初心九段，攻防加12",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "12"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "12"
					}
				]
			},
			{
				"need": "300",
				"title": "初心十段",
				"clear": true,
				"action": [
					"升级到初心十段，攻防加15",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "15"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "15"
					}
				]
			},
			{
				"need": "300",
				"title": "一转一段",
				"clear": true,
				"action": [
					"升级到一转一段，攻防加20，法攻加3",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "20"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "20"
					},
					{
						"type": "setValue",
						"name": "flag:fagong",
						"operator": "+=",
						"value": "3"
					}
				]
			},
			{
				"need": "400",
				"title": "一转二段",
				"clear": true,
				"action": [
					"升级到一转三段，攻防加22，法攻加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "22"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "22"
					},
					{
						"type": "setValue",
						"name": "flag:fagong",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "500",
				"title": "一转三段",
				"clear": true,
				"action": [
					"升级到一转三段，攻防加25，法攻加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "flag:fagong",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "500",
				"title": "一转四段",
				"clear": true,
				"action": [
					"升级到一转四段，攻防加25，法攻加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "flag:fagong",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "500",
				"title": "一转五段",
				"clear": true,
				"action": [
					"升级到一转五段，攻防加25，法攻加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "flag:fagong",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "550",
				"title": "一转六段",
				"clear": true,
				"action": [
					"升级到一转六段，攻防加25，法攻加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "flag:fagong",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "600",
				"title": "一转七段",
				"clear": true,
				"action": [
					"升级到一转七段，攻防加25，法攻加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "25"
					},
					{
						"type": "setValue",
						"name": "flag:fagong",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "1000",
				"title": "一转八段",
				"clear": true,
				"action": [
					"升级到一转八段，攻防加60，速度加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "60"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "60"
					},
					{
						"type": "setValue",
						"name": "flag:speed",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "1000",
				"title": "一转九段",
				"clear": true,
				"action": [
					"升级到一转九段，攻防加65，速度加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "65"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "65"
					},
					{
						"type": "setValue",
						"name": "flag:speed",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "1000",
				"title": "一转十段",
				"clear": true,
				"action": [
					"升级到一转十段，攻防加70，速度加5",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "70"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "70"
					},
					{
						"type": "setValue",
						"name": "flag:speed",
						"operator": "+=",
						"value": "5"
					}
				]
			},
			{
				"need": "1500",
				"title": "一转十一段",
				"clear": true,
				"action": [
					"升级到一转十一段，攻防加80，获得一个技能点。",
					{
						"type": "setValue",
						"name": "status:atk",
						"operator": "+=",
						"value": "80"
					},
					{
						"type": "setValue",
						"name": "status:def",
						"operator": "+=",
						"value": "80"
					},
					{
						"type": "setValue",
						"name": "item:I325",
						"operator": "+=",
						"value": "1"
					}
				]
			}
		]
	},
	"values": {
		"lavaDamage": 200,
		"poisonDamage": 10,
		"weakValue": 20,
		"redGem": 2,
		"blueGem": 2,
		"greenGem": 2,
		"redPotion": 100,
		"bluePotion": 400,
		"yellowPotion": 500,
		"greenPotion": 1000,
		"breakArmor": 0.9,
		"counterAttack": 0.1,
		"purify": 3,
		"hatred": 2,
		"animateSpeed": 400,
		"statusCanvasRowsOnMobile": 3,
		"floorChangeTime": 500
	},
	"flags": {
		"statusBarItems": [
			"enableFloor",
			"enableHP",
			"enableAtk",
			"enableDef",
			"enableKeys"
		],
		"flyNearStair": true,
		"flyRecordPosition": false,
		"steelDoorWithoutKey": false,
		"itemFirstText": false,
		"equipboxButton": false,
		"enableAddPoint": false,
		"enableNegativeDamage": false,
		"betweenAttackMax": false,
		"useLoop": false,
		"startUsingCanvas": false,
		"statusCanvas": false,
		"displayEnemyDamage": true,
		"displayCritical": true,
		"displayExtraDamage": true,
		"enableGentleClick": true,
		"ignoreChangeFloor": true,
		"canGoDeadZone": false,
		"enableMoveDirectly": true,
		"enableRouteFolding": true,
		"disableShopOnDamage": false,
		"blurFg": false
	}
}